﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Reflection;

namespace SampleUse
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            SysKobo.Stdlib.Tool.InitializeSysKobo();
            UseDBAccess.dbsv.InitMainDBMS(null, true, "", "");

            Assembly entryAssembly = Assembly.GetEntryAssembly();
            SysKobo.Stdlib.errinfo.WarningLog(null, string.Format("◆ SampleUse Start ◆  {0}", entryAssembly.GetName().Version.ToString()), "");

            UseDBAccess.Sta.g_CMD = new string[] { "", "sumple", "dbb_launcher0", "ランチャーメニュー更新", "" };

            PersonalCopy();
            UseDBAccess.Sta.RunGo = false;
            Application.Run(new SecondaryUse.Login());
            if (UseDBAccess.Sta.RunGo)
            {
                Application.Run(new SecondaryUse.MainForm());
            } 
        }

        private static void PersonalCopy()
        {
            using (SysKobo.Forms.formBase formBase = new SysKobo.Forms.formBase())
            {
                string str = "\\Personal";
                string[] array = new string[] { "\\SQLite", "\\プリンター.{2227A280-3AEA-1069-A2DE-08002B30309D}" };
                for (int i = 0; i < array.Length; i++)
                {
                    string text = array[i];
                    string sourceDirName = SysKobo.Stdlib.Tool.GetAppPath() + str + text;
                    string text2 = SysKobo.Stdlib.Tool.GetPersonalPath() + text;
                    if (!System.IO.Directory.Exists(text2))
                    {
                        formBase.DirectoryCopy(sourceDirName, text2, true);
                    }
                }
            }
        }

    }

}
